> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get subscription by id

> This endpoint allows you to get a stratus subscription.



## OpenAPI

````yaml /api-reference/openapi.documented.json get /api/stratus/subscriptions/{id}
openapi: 3.0.2
info:
  title: Snag Solutions - API Docs
  description: >-
    Documentation for Loyalty & Socials APIs. Some endpoints require an API key
    to authenticate. To obtain a key, reach out to the Snag Solutions team at
    support@snagsolutions.io.
  version: '0.1'
servers:
  - url: https://admin.snagsolutions.io/
    description: Production
security: []
paths:
  /api/stratus/subscriptions/{id}:
    get:
      tags:
        - Stratus
      summary: Get subscription by id
      description: This endpoint allows you to get a stratus subscription.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  websiteId:
                    type: string
                  organizationId:
                    type: string
                  functionIds:
                    type: array
                    items:
                      type: string
                  callbackUrl:
                    type: string
                    nullable: true
                  metadata:
                    nullable: true
                  startsAt:
                    type: string
                  endsAt:
                    type: string
                  id:
                    type: string
                  version:
                    type: string
                    enum:
                      - v1
                      - v2
                  signingKey:
                    type: string
                    nullable: true
                  createdAt:
                    type: string
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
                  deletedAt:
                    type: string
                    format: date-time
                    nullable: true
                  disabled:
                    type: boolean
                  disabledAt:
                    type: string
                    format: date-time
                    nullable: true
                  disabledReason:
                    type: string
                    nullable: true
                  consecutiveFailures:
                    type: number
                  blockchainSubscriptions:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        chainId:
                          type: number
                        contractAddress:
                          type: string
                        blockchainSubscriptionType:
                          type: string
                          enum:
                            - EVENT
                            - FUNCTION
                        eventSelector:
                          type: string
                        eventAbi:
                          type: string
                          nullable: true
                        functionAbi:
                          type: string
                          nullable: true
                        fromBlock:
                          type: string
                          nullable: true
                        createdAtBlock:
                          type: string
                          nullable: true
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                        deletedAt:
                          type: string
                          format: date-time
                          nullable: true
                      required:
                        - id
                        - chainId
                        - contractAddress
                        - blockchainSubscriptionType
                        - eventSelector
                        - eventAbi
                        - functionAbi
                        - fromBlock
                        - createdAtBlock
                        - createdAt
                        - updatedAt
                        - deletedAt
                  snagSubscriptions:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        table:
                          type: string
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                        deletedAt:
                          type: string
                          format: date-time
                          nullable: true
                      required:
                        - id
                        - table
                        - createdAt
                        - updatedAt
                        - deletedAt
                required:
                  - name
                  - websiteId
                  - organizationId
                  - callbackUrl
                  - id
                  - signingKey
                  - createdAt
                  - updatedAt
                  - deletedAt
        '500':
          description: '500'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````